Developers

Create a task

POST
/project/tasks

Create a task

Authorization<token>

Value for the Authorization header parameter.

In: header

Request Body

The new Task resource

TypeScript Definitions

Use the request body type in TypeScript.

identifier*string
Formatuuid
boardColumn*string
Formatuuid
name*string
Lengthlength <= 150
description?|
Lengthlength <= 100000
dateStart*string
Formatdate-time
dateEnd*string
Formatdate-time
taskTemplate?|
Formatuuid
taskTypes?array<>|null
priority*string
Default"normal"

Value in

  • "low"
  • "normal"
  • "high"
storyPoints?|
Defaultnull

Value in

  • 1
  • 2
  • 3
  • 5
  • 8
  • 13
  • 21
position*string
Default"end"

Value in

  • "start"
  • "end"
customFieldValues?array<>

Response Body

curl -X POST "https://example.com/project/tasks" \  -H "Content-Type: application/json" \  -d '{    "identifier": "14d3030c-3b61-4070-b902-342f80e99364",    "boardColumn": "4f54fe4b-83b5-4ea8-9520-0f5446263573",    "name": "string",    "dateStart": "2019-08-24T14:15:22Z",    "dateEnd": "2019-08-24T14:15:22Z",    "priority": "low",    "position": "start"  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "no": 0,  "shortCode": "string",  "name": "string",  "priority": "low",  "description": "string",  "dateStart": "2019-08-24T14:15:22Z",  "dateEnd": "2019-08-24T14:15:22Z",  "createdAt": "2019-08-24T14:15:22Z",  "createdBy": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "shortCode": "string",    "firstName": "string",    "lastName": "string",    "email": "string",    "pictureSm": "string",    "pictureLg": "string",    "contractorId": "8e641c22-41f4-4818-ae43-d2cb9b53e3d7",    "contractorName": "string",    "canLogIn": true,    "phoneNumber": "string",    "jobPositionName": "string",    "hourlyRate": null,    "isExternal": true,    "decorator": "string"  },  "createdBySource": "user",  "updatedAt": "2019-08-24T14:15:22Z",  "finishedAt": "2019-08-24T14:15:22Z",  "finishedBy": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "shortCode": "string",    "firstName": "string",    "lastName": "string",    "email": "string",    "pictureSm": "string",    "pictureLg": "string",    "contractorId": "8e641c22-41f4-4818-ae43-d2cb9b53e3d7",    "contractorName": "string",    "canLogIn": true,    "phoneNumber": "string",    "jobPositionName": "string",    "hourlyRate": null,    "isExternal": true,    "decorator": "string"  },  "weight": 0,  "storyPoints": 1,  "status": "in-preparation",  "project": "9ec8a81a-31b2-4a83-bcd8-cef9150932d2",  "projectShortCode": "string",  "projectName": "string",  "projectIsSimple": true,  "stage": "9f09bdb0-89bd-4a1a-b468-0312474f1023",  "stageName": "string",  "board": "a98884d6-3c76-4114-ba9c-216527a5aac1",  "boardShortCode": "string",  "boardName": "string",  "boardStatus": "in-preparation",  "lastImageUrl": "string",  "lastImage": "2b6fec48-a211-44ce-b9a6-b687e8965e7d",  "previewImage": "5cd48077-a44f-440e-baa5-cf74d11683f7",  "isReadOnly": true,  "isRepeated": true,  "taskRepeater": "acda20fd-ac5a-4e39-8f65-2a0fd9a65f4c",  "isSubscribed": true,  "taskTypes": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "decorator": "#78909c",      "tasks": [        "https://example.com/"      ],      "categories": [        "https://example.com/"      ]    }  ],  "assignedTaskUsers": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "projectUser": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "shortCode": "string",        "firstName": "string",        "lastName": "string",        "email": "string",        "pictureSm": "string",        "pictureLg": "string",        "contractorId": "8e641c22-41f4-4818-ae43-d2cb9b53e3d7",        "contractorName": "string",        "canLogIn": true,        "phoneNumber": "string",        "jobPositionName": "string",        "hourlyRate": null,        "isExternal": true,        "decorator": "string"      },      "timePlanned": 0,      "role": "none"    }  ],  "location": "string",  "canManage": false,  "boardColumn": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "name": "string",    "decorator": "#78909c",    "status": "todo"  },  "timePlanned": 0,  "timeReported": 0,  "countChecklistItems": 0,  "countChecklistItemsChecked": 0,  "countFiles": 0,  "countComments": 0,  "taskTickets": [],  "dependency": "waiting",  "permissions": {    "canRetrieve": true,    "canEdit": true,    "canEditDates": true,    "canDelete": true,    "canSetReadOnly": true,    "canChangeStatus": true,    "isMovable": true,    "canGetReportedClocks": true,    "canSeeAssignedTaskUsersTimePlanned": true,    "canManageAssignedTaskUsersTimePlanned": true  }}